<script>
/**
 * OrderTab component
 */
export default {
  props: {
    orders: {
      type: Array,
      default: function() {
        return [];
      }
    }
  },
  data() {
    return {
      showModal: false,
      transactions: [
        {
          id: '#SK2540',
          name: 'Neal Matthews',
          payment: 'David McHerny',
          date: '07 Oct, 2019',
          total: '$400',
          status: 'Active',
          index: 1,
        },
        {
          id: '#SK2541',
          name: 'Jamal Burnett',
          payment: 'David McHerny',
          date: '07 Oct, 2019',
          total: '$380',
          status: 'Active',
          index: 2,
        },
        {
          id: '#SK2542',
          name: 'Juan Mitchell',
          payment: 'Colin Melton',
          date: '06 Oct, 2019',
          total: '$384',
          status: 'Inactive',
          index: 3,
        },
        {
          id: '#SK2543',
          name: 'Barry Dick',
          payment: 'Rafael Morales',
          date: '05 Oct, 2019',
          total: '$412',
          status: 'Inactive',
          index: 4,
        },
        {
          id: '#SK2544',
          name: 'Ronald Taylor',
          payment: 'Frank Kirk',
          date: '04 Oct, 2019',
          total: '$404',
          status: 'Inactive',
          index: 5,
        },
        {
          id: '#SK2545',
          name: 'Jacob Hunter',
          payment: 'Shirley Smith',
          date: '04 Oct, 2019',
          total: '$392',
          status: 'Active',
          index: 6,
        },
        {
          id: '#SK2546',
          name: 'William Cruz',
          payment: 'John Santiago',
          date: '03 Oct, 2019',
          total: '$374',
          status: 'Active',
          index: 7,
        },
        {
          id: '#SK2547',
          name: 'Dustin Moser',
          payment: 'Minnie Walter',
          date: '02 Oct, 2019',
          total: '$350',
          status: 'Active',
          index: 8,
        },
        {
          id: '#SK2548',
          name: 'Clark Benson',
          payment: 'Mark Ellison',
          date: '01 Oct, 2019',
          total: '$345',
          status: 'Inactive',
          index: 9,
        },
      ]
    };
  }
};
</script>

<template>
  <div class="table-responsive customer-tab  table-main-border">
    <table class="table table-centered table-nowrap table-hover">
      <thead class="thead-light">
        <tr>
          <th>Order ID</th>
          <th>Vendor Name</th>
          <th>Delivery Boy Name</th>
          <th>Time</th>
          <th>Amount</th>
          <th>Status</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="data in transactions" :key="data.id">
          <td>
            <a href="javascript: void(0);" class="text-body font-weight-bold">{{data.id}}</a>
          </td>
          <td>{{data.name}}</td>
          <td>{{data.payment}}</td>
          <td>{{data.date}}</td>
          <td>{{data.total}}</td>
          <td>
            <span
              class="badge badge-pill badge-soft-success font-size-12"
              :class=" { 'badge-soft-success': `${data.status}` === 'Active',
                        'badge-soft-danger': `${data.status}` === 'Inactive' }"
            >{{data.status}}</span>
          </td>
          <td>
            <!-- Button trigger modal -->
            <button
              type="button"
              class="btn btn-primary btn-sm btn-rounded"
              @click="showModal = true"
            >View Details</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <!-- end table -->
</template>
